# Copyright (c) 2016-2018 Braintech Sp. z o.o. [Ltd.] <http://www.braintech.pl>
# All rights reserved.
from setuptools import setup, find_namespace_packages

import versioneer

INSTALL_REQUIREMENTS = {
    'setup': [
    ],
    'install': [
        'mne~=0.17.0',
        'scipy~=1.2.1',
        'matplotlib~=2.0.2',
        'numpy~=1.16.1'
    ],
}

if __name__ == '__main__':
    setup(
        name='braintech-obci-signal-processing',
        version=versioneer.get_version(),
        description='BCI framework for building complete Brain Computer Interfaces '
                    'based on EEG, performing experiments, collecting EEG and other '
                    'biomedical signal data.',
        zip_safe=False,
        author='BrainTech',
        author_email='admin@braintech.pl',
        license='Other/Proprietary License',
        classifiers=[
            'Development Status :: 3 - Alpha',
            'Natural Language :: English',
            'Topic :: Scientific/Engineering',
            'Intended Audience :: Developers',
            'License :: Other/Proprietary License',
            'Programming Language :: Python :: 3',
            'Programming Language :: Python :: 3.5',
            'Operating System :: POSIX :: Linux',
            'Operating System :: Microsoft :: Windows',
            'Operating System :: OS Independent',
            'Environment :: Console',
            'Environment :: Win32 (MS Windows)',
            'Environment :: X11 Applications :: Qt',
        ],
        keywords='bci eeg obci',
        packages=find_namespace_packages(include=['braintech.obci.*']),
        include_package_data=True,
        setup_requires=INSTALL_REQUIREMENTS['setup'],
        install_requires=INSTALL_REQUIREMENTS['install'],
        extras_require=INSTALL_REQUIREMENTS,
        entry_points={},
        ext_modules=[],
    )
