#!/usr/bin/env python3
# Copyright (c) 2016-2018 Braintech Sp. z o.o. [Ltd.] <http://www.braintech.pl>
# All rights reserved.
from braintech.obci.signal_processing.balance.raw_analysis import mean_velocity, RMS_AP_ML, confidence_ellipse_area, \
    mean_COP_sway_AP_ML, max_sway_AP_ML, test_signal, COP_path, test_signal1


def test_signal_parameters():
    fs = 80.0
    signal = test_signal()

    assert COP_path(signal) == (99.0, 99.0, 0.0)

    velocity_mean, velocity_AP, velocity_ML = mean_velocity(signal, fs)

    assert round(velocity_mean, 2) == 79.20

    assert round(velocity_AP, 2) == 0.00

    assert round(velocity_ML, 2) == 79.20

    rms, rms_ml, rms_ap = RMS_AP_ML(signal)

    assert round(rms, 2) == 28.87

    assert round(rms_ap, 2) == 28.87

    assert round(rms_ml, 2) == 0.00

    assert confidence_ellipse_area(signal) == 0.0

    mean_sway, mean_sway_AP, mean_sway_ML = mean_COP_sway_AP_ML(signal)

    assert round(mean_sway, 2) == 25.00

    assert round(mean_sway_AP, 2) == 0.00

    assert round(mean_sway_ML, 2) == 25.00

    max_sway, max_sway_AP, max_sway_ML = max_sway_AP_ML(signal)

    assert round(max_sway, 2) == 49.50

    assert round(max_sway_AP, 2) == 0.00

    assert round(max_sway_ML, 2) == 49.50

    test_signal1()

    # numerical stability issues?
    # get_percentages_values(signal1, fs, plot=False)
    # (50.0, 0.0, 0.0, 50.0)

    # tripping_get_time(signal1, fs)
    # (1.0, 1.0)

    # tripping_get_percentages(signal1, fs, plot=False)
    # (50.0, 50.0)
