# Copyright (c) 2016-2018 Braintech Sp. z o.o. [Ltd.] <http://www.braintech.pl>
# All rights reserved.

import numpy as np

RESOLUTION = (1920 / 4, 1080 / 4)

# Intrisics can be calculated using opencv sample code under opencv/sources/samples/cpp/tutorial_code/calib3d
# Approximates are used here:
_APPROXIMATED_K = [RESOLUTION[0], 0.0, RESOLUTION[0] / 2,
                   0.0, RESOLUTION[0], RESOLUTION[1] / 2,
                   0.0, 0.0, 1.0]
CAMERA_INTRISICS = np.array(_APPROXIMATED_K, dtype=np.float64).reshape(3, 3)
_EXAMPLE_D = [7.0834633684407095e-002, 6.9140193737175351e-002, 0.0, 0.0,
              -1.3073460323689292e+000]
DISTORTION_COEFFICIENTS = np.array(_EXAMPLE_D, dtype=np.float64).reshape(5, 1)
