import BCIApplication from 'obci_bci_demo'
import BCIConfig from 'obci_bci_demo/../bci_config'
import 'bootstrap-slider'
import style from 'bootstrap-slider/src/sass/bootstrap-slider.scss'
import _ from './ssvep_app.scss'

class SSVEPConfig extends BCIConfig
  constructor: ->
    super(arguments...)
    @_form.find('#ssvep_range').show()
    @_slider = @_form.find("#freq_range")
    @_slider.on 'slide', (evt)=>
      @_form.find('.input-group-text').each (i) ->
        $(this).html(evt.value[i] + ' Hz')
    @_slider.bootstrapSlider (tooltip: 'always')
    @_slider.bootstrapSlider('setValue', [25, 45])

  _on_submit: (evt) ->
    val = @_slider.bootstrapSlider('getValue')
    if val[1] - val[0] < 2 or val[1] * 4 > parseInt(@_form[0].sampling_rate.value)
      @_form[0].freq_range.setCustomValidity("Invalid")
      $(@_form[0].freq_range).parent().addClass('is-invalid')
    else
      @_form[0].freq_range.setCustomValidity("")
      $(@_form[0].freq_range).parent().removeClass('is-invalid')
    super(arguments...)

  _get_config: ->
    config = super()
    freq_range = @_slider.bootstrapSlider('getValue')
    config.field_freqs_min = freq_range[0]
    config.field_freqs_max = freq_range[1]
    return config

class SSVEPBCIApplication extends BCIApplication
  ConfigClass: SSVEPConfig


$ ->
  window.bci_app = new SSVEPBCIApplication('body', '127.0.0.1:8123')
