# Copyright (c) 2016-2018 Braintech Sp. z o.o. [Ltd.] <http://www.braintech.pl>
# All rights reserved
import pytest
from mock import PropertyMock

from bci_demo_ssvep.simple_ssvep.analysis import SimpleSSVEPAnalysis
from bci_demo_ssvep.simple_ssvep.calibrator import SSVEPCalibratorLogic
from bci_demo_ssvep.simple_ssvep.meta_calibrator import SSVEPMetaCalibrator


@pytest.fixture()
def fast_analysis(mocker):
    for klass, atrribute, value in [
        (SSVEPCalibratorLogic, 'TRIAL_TIME', 0.5),
        (SSVEPCalibratorLogic, 'PAUSE_TIME', 0.5),
        (SimpleSSVEPAnalysis, 'CALIBRATE_EVERY', 1),
        (SimpleSSVEPAnalysis, 'MINIMUM_SAMPLES_PER_TYPE', 1),
        (SSVEPMetaCalibrator, 'MINIMUM_EXAMPLE_COUNT', 1),
        (SSVEPMetaCalibrator, 'DEFAULT_WINDOW', 0.3),
        (SSVEPMetaCalibrator, 'DEFAULT_FEEDBACK_EVERY', 0.1),
        (SSVEPMetaCalibrator, 'DEFAULT_LEARNING_EVERY', 0.2),
    ]:
        prop = mocker.patch.object(klass, atrribute, new_callable=PropertyMock)
        prop.return_value = value
