# Copyright (c) 2016-2018 Braintech Sp. z o.o. [Ltd.] <http://www.braintech.pl>
# All rights reserved
import threading

from socketIO_client import BaseNamespace, SocketIO

from bci_panel.web_bci_panel import CHARTS


class TestNamespace(BaseNamespace):
    def __init__(self, io, path):
        super().__init__(io, path)
        self.connected = threading.Event()
        self.received_data = threading.Event()
        self.event = None

    def on_connect(self):
        self.connected.set()

    def on_event(self, event, *args):
        self.event = (event, args)
        self.received_data.set()

    def on_disconnect(self):
        self.connected.clear()


def process_socket(socket, timeout=60):
    threading.Thread(target=socket.wait, args=(timeout,), daemon=True, name="ProcessSocket").start()


class BinarySocketIO(SocketIO):
    def _process_packet(self, packet):
        try:
            super(BinarySocketIO, self)._process_packet(packet)
        except ValueError:
            pass

    def _process_packets(self):
        try:
            super(BinarySocketIO, self)._process_packets()
        except ValueError:
            pass


def get_bci_panel_receiver(bci_panel_peer):
    socket = BinarySocketIO(bci_panel_peer.server_host, bci_panel_peer.server_port)
    test_namespace = socket.define(TestNamespace, CHARTS)  # type:TestNamespace
    process_socket(socket)
    return test_namespace
    test_namespace.connected.wait()
