# Copyright (c) 2016-2018 Braintech Sp. z o.o. [Ltd.] <http://www.braintech.pl>
# All rights reserved.

from setuptools import find_packages, setup
from pathlib import Path
import versioneer

INSTALL_REQUIREMENTS = {
    'install': [
        'braintech-obci-core',
        'matplotlib~=2.0.2',
        'python-socketio==1.9.0',
        'yarl',
        'async-timeout',
        'aiohttp',  # aiohttp 3.0 and above requires python >= 3.5.3
    ],
    'build': ['stdeb>=0.8.5', 'wheel>=0.29.0'],
    'dev': [],
    'setup': []
}

if __name__ == '__main__':
    setup(
        name='bci-panel',
        zip_safe=False,
        version=versioneer.get_version(),
        author='BrainTech',
        author_email='admin@braintech.pl',
        description='BCI Panels.',
        packages=find_packages(
            exclude=[
                'test',
                'scripts',
            ]
        ),
        include_package_data=True,
        install_requires=INSTALL_REQUIREMENTS['install'],
        setup_requires=INSTALL_REQUIREMENTS['setup'],
        extras_require=INSTALL_REQUIREMENTS,
        entry_points={
            'console_scripts': [
                'install_bci_panel = bci_panel.install:run'
            ]
        }
    )
