import c3 from 'c3'
import {redraw_chart_on_resize} from './charts'

settings =
  colors:
    target: 'hsl(240, 80%, 60%)'
    nontarget: 'hsl(120, 80%, 60%)'


initializeCH = (socket) ->
  chart = c3.generate
    bindto: 'certainty_histogram'
    data:
      columns: []
      labels: false
      x: 'bins_centers'
      type: 'bar'
      colors:
        'targets': settings.colors.target
        'nontargets': settings.colors.nontarget
    tooltip:
      show:
        false
    bar:
      width:
        ratio: 0.1
    axis:
      y:
        min: 0
        label:
          text: 'count'
          position: 'outer-middle'
        padding:
          bottom: 0
      x:
        tick:
          values: [0, 1]
        padding: 0

  bind_to_socket(socket, chart)
  redraw_chart_on_resize(chart)


bind_to_socket = (socket, chart) ->
  socket.on 'certainty_histogram', (data) ->
    columns = [
      data.targets_histogram,
      data.nontargets_histogram,
      data.bins_centers
    ]
    chart.load
      unload: true
      columns: columns
    chart.xgrids [value: data.threshold, text: 'threshold']

export default initializeCH
