import c3 from 'c3'
import {format} from 'd3-format'
import global_settings from './settings'
import {redraw_chart_on_resize} from './charts'


initializeFPF = (socket) ->
  chart = c3.generate
    bindto: 'frequency_preference_function_chart'
    data:
      columns: [
        ['FPF', 0]
        ['FPFbase', 0, 1]
        ['x', 0, 1]
      ]
      labels: false
      x: 'x'
      colors:
        FPF: 'green'
    x:
      type: 'timeseries',
      tick:
        values: [0, 1]
    padding:
        left: 30
        right: 30
    axis:
      y:
        show: false
      x:
        label:
          position: 'outer-right'
          text: 'Frequency, [Hz]'
        tick:
          format: format("0.2f")
    point:
      show: true
    legend:
      show: false
    tooltip:
      show: false
  redraw_chart_on_resize(chart)
  bind_to_socket(socket, chart)

_update_chart = (chart, x, y, fpfbase) ->
  columns = [
    ['x'].concat(x),
    ['FPF'].concat(y),
    ['FPFbase'].concat(fpfbase)
  ]
  chart.load
    columns: columns

bind_to_socket = (socket, chart) ->
  socket.on 'frequency_preference_function', (data) ->
    _update_chart(chart, data.x, data.y, data.fpfbase)


export default initializeFPF
