import moment from 'moment'
import style from '../style/charts.scss'
import 'bootstrap'
import 'jqueryui'
import 'gridstack'
import 'gridstack.jqueryUI'
import initQualitySummary from './quality_summary.coffee'
import initializeCH from './certainty_histogram.coffee'
import initializeCC from './classifier_certainty.coffee'
import EEGChart from './eeg_c3'
import initializeFeatures from './features.coffee'
import initializeImpedance from './impedances.coffee'
import initializeERP from './erp.coffee'
import initializeFPF from './frequency_preference_function.coffee'
import bindActivatorsToSockets from './session.coffee'
import init_socket from './socket'


class BCIPanel
  initGridStack: ->
    options =
      cellHeight: $(window).height() / 10,
      verticalMargin: 0,
      float: false,
      alwaysShowResizeHandle: /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)
    @_gs = @_el.find('.grid-stack').gridstack(options)


  constructor: (element, ws_address) ->
    @_el = element
    @initGridStack()
    $(window).on 'resize', _.debounce =>
      @_gs?.data('gridstack')?.cellHeight($(window).height() / 10)
    @_html = element.html()
    @_ws_address = ws_address
    @_socket = init_socket(ws_address)
    @_init(@_socket)

  _init: (socket)->
    bindActivatorsToSockets(socket)
    EEGChart.initialize(socket)
    $('#eeg').addClass('visible').removeClass('hidden')
    initializeERP(socket)
    initializeImpedance(socket)
    $('#impedance').addClass('visible').removeClass('hidden')
    initializeCH(socket)
    initializeCC(socket)
    initializeFeatures(socket)
    initQualitySummary(socket)
    initQualitySummary(socket)
    initializeFPF(socket)
    $('#loader_container').fadeOut()
#    fix_overlapping_positions()


  reset: () ->
    @_socket.close()
    @_socket = init_socket(@_ws_address)
    @_el.html(@_html)
    @_init(@_socket)
    @initGridStack()

#fix_overlapping_positions = ->
#  $('#certainty-histogram, #features')
#    .css top: $('#classifier-certainty').css('top')

export default BCIPanel
