# -*- coding: utf-8 -*-
# Copyright (c) 2016-2018 Braintech Sp. z o.o. [Ltd.] <http://www.braintech.pl>
# All rights reserved.
from bci_ssvep.logic.ssvep_frequency_finder import SSVEPFrequencyFinder
from bci_ssvep.scripts.ssvep_frequency_finder_sweep_transmittance import prepare_data


def test_ssvep_frequency_finder():
    s = SSVEPFrequencyFinder(sampling_freq=512, stimulation_freqs=[30, 32])

    timeline, signal = prepare_data(stim_freq=30, noise_level=10, amplitude=10)
    timeline, signal_parasitic = prepare_data(stim_freq=32, noise_level=1, amplitude=4)
    signal += signal_parasitic

    prediction = s.predict(signal)

    assert prediction[0] > prediction[1]  # prediction shows contribution degrees of 30 and 32 Hz

    timeline, signal = prepare_data(stim_freq=32, noise_level=10, amplitude=10)
    timeline, signal_parasitic = prepare_data(stim_freq=30, noise_level=1, amplitude=4)
    signal += signal_parasitic

    prediction = s.predict(signal)
    assert prediction[1] > prediction[0]
