demo_init_data = {
  "bci_demo": {
    "methods": [["deleteLater", 3], ["start_amplifier", 9], ["stop", 10], ["start_calibration", 11],
      ["stop_amplifier", 12], ["start_bci", 13], ["close", 14]],
    "properties": [[0, "objectName", [1, 2], ""], [1, "status", ["status_changed", 7], "stopped"],
      [2, "settings", ["settings_changed", 6], {"bci_panel_addresses": ["127.0.0.1:8123"], "title": "BCI SSVEP"}],
      [3, "amplifiers", ["amplifiers_changed", 8], {
        "RandomAmplifier": {
          "amplifier_id": "RandomAmplifier",
          "channels": ["Random0", "Random1", "Random2", "Random3", "Random4", "Random5", "Random6", "Random7",
            "Random8", "Random9", "Random10", "Random11", "Random12", "Random13", "Random14", "Random15", "Random16",
            "Random17", "Random18", "Random19", "Random20", "Random21", "Random22", "Random23", "Random24", "Random25",
            "Random26", "Random27", "Random28", "Random29", "Saw", "Sample_Counter"],
          "class_name": "RandomAmplifierPeer",
          "name": "RandomAmplifier",
          "sampling_rates": [128, 256, 500, 512, 1024, 2048]
        },
        "RandomAmplifierWithSine": {
          "amplifier_id": "RandomAmplifierWithSine",
          "channels": ["Random0", "Random1", "Random2", "Random3", "Random4", "Random5", "Random6", "Random7",
            "Random8", "Random9", "Random10", "Random11", "Random12", "Random13", "Random14", "Random15", "Random16",
            "Random17", "Random18", "Random19", "Random20", "Random21", "Random22", "Random23", "Random24", "Random25",
            "Random26", "Random27", "Random28", "Random29", "Saw", "Sample_Counter"],
          "class_name": "RandomAmplifierWithSinePeer",
          "name": "RandomAmplifierWithSine",
          "sampling_rates": [128, 256, 500, 512, 1024, 2048]
        }
      }]],
    "signals": [["destroyed", 0], ["calibration_finished", 5]]
  }
}

class MockTransport
  constructor:(init_data) ->
    @_init_data = init_data ? demo_init_data
  send: (data)->
    data = JSON.parse(data)
    if data.type == 3 # init
      _.defer =>
        @onmessage(data:
            id: data.id,
            type: 10 # response
            data: @_init_data)
  onmessage: ->

export default MockTransport
