# Copyright (c) 2016-2018 Braintech Sp. z o.o. [Ltd.] <http://www.braintech.pl>
# All rights reserved
from setuptools import find_packages, setup
import versioneer
INSTALL_REQUIREMENTS = {
    'install': [
        'braintech-obci-core',
        'obci_ugm',
        'scipy',
        'numpy',
        'matplotlib',
        'scikit-image~=0.13.1',
    ],
    'setup': [

    ]
}
try:
    from devops.setup import get_cmd_class

    cmd_classes = get_cmd_class()
except ImportError:
    print("devops not installed yet, can't run build_ui.")
    cmd_classes = {}

if __name__ == '__main__':
    setup(
        name='obci-p300',
        version=versioneer.get_version(),
        cmdclass=cmd_classes,
        zip_safe=False,
        author='BrainTech',
        author_email='admin@braintech.pl',
        description='BCI Panels.',
        packages=find_packages(
            exclude=[
                'test',
                'scripts',
            ]
        ),
        include_package_data=True,
        install_requires=INSTALL_REQUIREMENTS['install'],
        setup_requires=INSTALL_REQUIREMENTS['setup'],
        extras_require=INSTALL_REQUIREMENTS,
        entry_points={
            'console_scripts': [

            ]
        }
    )
