# Copyright (c) 2016-2018 Braintech Sp. z o.o. [Ltd.] <http://www.braintech.pl>
# All rights reserved
import ctypes
from collections import namedtuple

# Generated from ctrl_seq.h by:
# enum \{ ctrl_seq_([^\s]+) = (\d+) \}; -> $$1_len = $2\n$1_data = ctypes.c_uint8 * $1_len
# const uint8_t ctrl_seq_(.*)_data_(.*)\[.*\] = \{([^}]*)}; -> $1_data_$2 = $1_data($3)
# const struct ctrl_seq_t ctrl_seq_(.*) = \{[^}]*}; -> $1 = CtrlSeq(\n$1_data_out,\n$1_data_in,\n$1_data_in_mask,\n$1_len\n)
CtrlSeq = namedtuple('CtrlSeq', 'data_out,data_in,data_in_mask,length')

check_len = 6
check_data = ctypes.c_uint8 * check_len

check_data_out = check_data(
    0x40, 0x00, 0x30, 0x40, 0x63, 0x40
)

check_data_in = check_data(
    0x47, 0x00, 0x38, 0x47, 0x63, 0x47
)

check_data_in_mask = check_data(
    0xff, 0xfe, 0xff, 0xff, 0xff, 0xff
)

check = CtrlSeq(
    check_data_out,
    check_data_in,
    check_data_in_mask,
    check_len
)

get_time_len = 7
get_time_data = ctypes.c_uint8 * get_time_len

get_time_data_out = get_time_data(
    0x40, 0x80, 0x90, 0xa0, 0xb0, 0xc0, 0xd0
)

get_time_data_in = get_time_data(
    0x47, 0x80, 0x90, 0xa0, 0xb0, 0xc0, 0xd0
)

get_time_data_in_mask = get_time_data(
    0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0
)

get_time = CtrlSeq(
    get_time_data_out,
    get_time_data_in,
    get_time_data_in_mask,
    get_time_len
)

pwr_off_len = 3
pwr_off_data = ctypes.c_uint8 * pwr_off_len

pwr_off_data_out = pwr_off_data(
    0x40, 0x10, 0x40
)

pwr_off_data_in = pwr_off_data(
    0x47, 0x10, 0x47
)

pwr_off_data_in_mask = pwr_off_data(
    0xff, 0xff, 0xff
)

pwr_off = CtrlSeq(
    pwr_off_data_out,
    pwr_off_data_in,
    pwr_off_data_in_mask,
    pwr_off_len
)

pwr_on_len = 7
pwr_on_data = ctypes.c_uint8 * pwr_on_len

pwr_on_data_out = pwr_on_data(
    0x40, 0x00, 0x30, 0x14, 0x00, 0x30, 0x40
)

pwr_on_data_in = pwr_on_data(
    0x47, 0x00, 0x38, 0x14, 0x00, 0x38, 0x47
)

pwr_on_data_in_mask = pwr_on_data(
    0xff, 0xfe, 0xff, 0xff, 0xfe, 0xff, 0xff
)

pwr_on = CtrlSeq(
    pwr_on_data_out,
    pwr_on_data_in,
    pwr_on_data_in_mask,
    pwr_on_len
)

init_len = 24
init_data = ctypes.c_uint8 * init_len

init_data_out = init_data(
    0x40, 0x00, 0x15, 0x50, 0x55, 0x50, 0x55, 0x69, 0x16, 0x50, 0x55, 0x50,
    0x55, 0x69, 0x14, 0x66, 0x17, 0x50, 0x50, 0x55, 0x5a, 0x69, 0x14, 0x40
)

init_data_in = init_data(
    0x47, 0x00, 0x15, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16, 0x50, 0x50, 0x50,
    0x50, 0x69, 0x14, 0x66, 0x17, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

init_data_in_mask = init_data(
    0xff, 0xfe, 0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xff, 0xff, 0xf0, 0xf0, 0xf0,
    0xf0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

init = CtrlSeq(
    init_data_out,
    init_data_in,
    init_data_in_mask,
    init_len
)

stop_len = 53
stop_data = ctypes.c_uint8 * stop_len

stop_data_out = stop_data(
    0x40, 0x14, 0x00, 0x66, 0x15, 0x50, 0x55, 0x50, 0x55, 0x69, 0x16, 0x50,
    0x55, 0x50, 0x55, 0x69, 0x14, 0x15, 0x50, 0x5a, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x16, 0x50, 0x5a, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x14, 0x66, 0x17, 0x50, 0x50,
    0x5a, 0x5a, 0x69, 0x14, 0x40
)

stop_data_in = stop_data(
    0x47, 0x14, 0x00, 0x66, 0x15, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16, 0x50,
    0x50, 0x50, 0x50, 0x69, 0x14, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x55, 0x5f, 0x5a, 0x16, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x55, 0x5f, 0x5a, 0x14, 0x66, 0x17, 0x50, 0x50,
    0x50, 0x50, 0x69, 0x14, 0x47
)

stop_data_in_mask = stop_data(
    0xff, 0xff, 0xfe, 0xff, 0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xff, 0xff, 0xf0,
    0xf0, 0xf0, 0xf0, 0xff, 0xff, 0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
    0xf0, 0xf0, 0xf0, 0xf5, 0xff, 0xff, 0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
    0xf0, 0xf0, 0xf0, 0xf0, 0xf5, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff
)

stop = CtrlSeq(
    stop_data_out,
    stop_data_in,
    stop_data_in_mask,
    stop_len
)

start_len = 17
start_data = ctypes.c_uint8 * start_len

start_data_out = start_data(
    0x40, 0x17, 0x50, 0x50, 0x5a, 0x50, 0x69, 0x14, 0x66, 0x17, 0x50, 0x55,
    0x50, 0x50, 0x69, 0x14, 0x40
)

start_data_in = start_data(
    0x47, 0x17, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x66, 0x17, 0x50, 0x50,
    0x50, 0x50, 0x69, 0x14, 0x47
)

start_data_in_mask = start_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff
)

start = CtrlSeq(
    start_data_out,
    start_data_in,
    start_data_in_mask,
    start_len
)

config_500_len = 167
config_500_data = ctypes.c_uint8 * config_500_len

config_500_data_out = config_500_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x55, 0x55, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x55, 0x55,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_500_data_in = config_500_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_500_data_in_mask = config_500_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_500 = CtrlSeq(
    config_500_data_out,
    config_500_data_in,
    config_500_data_in_mask,
    config_500_len
)

config_1000_len = 167
config_1000_data = ctypes.c_uint8 * config_1000_len

config_1000_data_out = config_1000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x55, 0x50, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x55, 0x50,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_1000_data_in = config_1000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_1000_data_in_mask = config_1000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_1000 = CtrlSeq(
    config_1000_data_out,
    config_1000_data_in,
    config_1000_data_in_mask,
    config_1000_len
)

config_2000_len = 167
config_2000_data = ctypes.c_uint8 * config_2000_len

config_2000_data_out = config_2000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x5f,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_2000_data_in = config_2000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_2000_data_in_mask = config_2000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_2000 = CtrlSeq(
    config_2000_data_out,
    config_2000_data_in,
    config_2000_data_in_mask,
    config_2000_len
)

config_4000_len = 167
config_4000_data = ctypes.c_uint8 * config_4000_len

config_4000_data_out = config_4000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x50, 0x5a, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x5a,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_4000_data_in = config_4000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_4000_data_in_mask = config_4000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_4000 = CtrlSeq(
    config_4000_data_out,
    config_4000_data_in,
    config_4000_data_in_mask,
    config_4000_len
)

config_8000_len = 167
config_8000_data = ctypes.c_uint8 * config_8000_len

config_8000_data_out = config_8000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x50, 0x55, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x55,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_8000_data_in = config_8000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_8000_data_in_mask = config_8000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_8000 = CtrlSeq(
    config_8000_data_out,
    config_8000_data_in,
    config_8000_data_in_mask,
    config_8000_len
)

config_16000_len = 167
config_16000_data = ctypes.c_uint8 * config_16000_len

config_16000_data_out = config_16000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x50, 0x50, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x50,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_16000_data_in = config_16000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_16000_data_in_mask = config_16000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_16000 = CtrlSeq(
    config_16000_data_out,
    config_16000_data_in,
    config_16000_data_in_mask,
    config_16000_len
)

config_imp_500_len = 191
config_imp_500_data = ctypes.c_uint8 * config_imp_500_len

config_imp_500_data_out = config_imp_500_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x55, 0x55, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x55, 0x55,
    0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_imp_500_data_in = config_imp_500_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_imp_500_data_in_mask = config_imp_500_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_imp_500 = CtrlSeq(
    config_imp_500_data_out,
    config_imp_500_data_in,
    config_imp_500_data_in_mask,
    config_imp_500_len
)

config_imp_1000_len = 191
config_imp_1000_data = ctypes.c_uint8 * config_imp_1000_len

config_imp_1000_data_out = config_imp_1000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x55, 0x50, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x55, 0x50,
    0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_imp_1000_data_in = config_imp_1000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_imp_1000_data_in_mask = config_imp_1000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_imp_1000 = CtrlSeq(
    config_imp_1000_data_out,
    config_imp_1000_data_in,
    config_imp_1000_data_in_mask,
    config_imp_1000_len
)

config_imp_2000_len = 191
config_imp_2000_data = ctypes.c_uint8 * config_imp_2000_len

config_imp_2000_data_out = config_imp_2000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x50, 0x5f, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x5f,
    0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_imp_2000_data_in = config_imp_2000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_imp_2000_data_in_mask = config_imp_2000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_imp_2000 = CtrlSeq(
    config_imp_2000_data_out,
    config_imp_2000_data_in,
    config_imp_2000_data_in_mask,
    config_imp_2000_len
)

config_imp_4000_len = 191
config_imp_4000_data = ctypes.c_uint8 * config_imp_4000_len

config_imp_4000_data_out = config_imp_4000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x50, 0x5a, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x5a,
    0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_imp_4000_data_in = config_imp_4000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_imp_4000_data_in_mask = config_imp_4000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_imp_4000 = CtrlSeq(
    config_imp_4000_data_out,
    config_imp_4000_data_in,
    config_imp_4000_data_in_mask,
    config_imp_4000_len
)

config_imp_8000_len = 191
config_imp_8000_data = ctypes.c_uint8 * config_imp_8000_len

config_imp_8000_data_out = config_imp_8000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x50, 0x55, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x55,
    0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_imp_8000_data_in = config_imp_8000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_imp_8000_data_in_mask = config_imp_8000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_imp_8000 = CtrlSeq(
    config_imp_8000_data_out,
    config_imp_8000_data_in,
    config_imp_8000_data_in_mask,
    config_imp_8000_len
)

config_imp_16000_len = 191
config_imp_16000_data = ctypes.c_uint8 * config_imp_16000_len

config_imp_16000_data_out = config_imp_16000_data(
    0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
    0x50, 0x50, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
    0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
    0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
    0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
    0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x50,
    0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
    0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
    0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
    0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
)

config_imp_16000_data_in = config_imp_16000_data(
    0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
)

config_imp_16000_data_in_mask = config_imp_16000_data(
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
)

config_imp_16000 = CtrlSeq(
    config_imp_16000_data_out,
    config_imp_16000_data_in,
    config_imp_16000_data_in_mask,
    config_imp_16000_len
)
