// © Copyright 2018 Pawel Jewstafjew Pawel<dot>Jewstafjew<at>gmail<dot>com

struct ctrl_seq_t {
   const uint8_t * data_out;
   const uint8_t * data_in;
   const uint8_t * data_in_mask;
   unsigned length;
};

enum { ctrl_seq_check_len = 6 };

const uint8_t ctrl_seq_check_data_out[ctrl_seq_check_len] = {
0x40, 0x00, 0x30, 0x40, 0x63, 0x40
};

const uint8_t ctrl_seq_check_data_in[ctrl_seq_check_len] = {
0x47, 0x00, 0x38, 0x47, 0x63, 0x47
};

const uint8_t ctrl_seq_check_data_in_mask[ctrl_seq_check_len] = {
0xff, 0xfe, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_check = {
   ctrl_seq_check_data_out,
   ctrl_seq_check_data_in,
   ctrl_seq_check_data_in_mask,
   ctrl_seq_check_len
};

enum { ctrl_seq_get_time_len = 7 };

const uint8_t ctrl_seq_get_time_data_out[ctrl_seq_get_time_len] = {
0x40, 0x80, 0x90, 0xa0, 0xb0, 0xc0, 0xd0
};

const uint8_t ctrl_seq_get_time_data_in[ctrl_seq_get_time_len] = {
0x47, 0x80, 0x90, 0xa0, 0xb0, 0xc0, 0xd0
};

const uint8_t ctrl_seq_get_time_data_in_mask[ctrl_seq_get_time_len] = {
0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

const struct ctrl_seq_t ctrl_seq_get_time = {
   ctrl_seq_get_time_data_out,
   ctrl_seq_get_time_data_in,
   ctrl_seq_get_time_data_in_mask,
   ctrl_seq_get_time_len
};

enum { ctrl_seq_pwr_off_len = 3 };

const uint8_t ctrl_seq_pwr_off_data_out[ctrl_seq_pwr_off_len] = {
0x40, 0x10, 0x40
};

const uint8_t ctrl_seq_pwr_off_data_in[ctrl_seq_pwr_off_len] = {
0x47, 0x10, 0x47
};

const uint8_t ctrl_seq_pwr_off_data_in_mask[ctrl_seq_pwr_off_len] = {
0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_pwr_off = {
   ctrl_seq_pwr_off_data_out,
   ctrl_seq_pwr_off_data_in,
   ctrl_seq_pwr_off_data_in_mask,
   ctrl_seq_pwr_off_len
};

enum { ctrl_seq_pwr_on_len = 7 };

const uint8_t ctrl_seq_pwr_on_data_out[ctrl_seq_pwr_on_len] = {
0x40, 0x00, 0x30, 0x14, 0x00, 0x30, 0x40
};

const uint8_t ctrl_seq_pwr_on_data_in[ctrl_seq_pwr_on_len] = {
0x47, 0x00, 0x38, 0x14, 0x00, 0x38, 0x47
};

const uint8_t ctrl_seq_pwr_on_data_in_mask[ctrl_seq_pwr_on_len] = {
0xff, 0xfe, 0xff, 0xff, 0xfe, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_pwr_on = {
   ctrl_seq_pwr_on_data_out,
   ctrl_seq_pwr_on_data_in,
   ctrl_seq_pwr_on_data_in_mask,
   ctrl_seq_pwr_on_len
};

enum { ctrl_seq_init_len = 24 };

const uint8_t ctrl_seq_init_data_out[ctrl_seq_init_len] = {
0x40, 0x00, 0x15, 0x50, 0x55, 0x50, 0x55, 0x69, 0x16, 0x50, 0x55, 0x50,
0x55, 0x69, 0x14, 0x66, 0x17, 0x50, 0x50, 0x55, 0x5a, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_init_data_in[ctrl_seq_init_len] = {
0x47, 0x00, 0x15, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16, 0x50, 0x50, 0x50,
0x50, 0x69, 0x14, 0x66, 0x17, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_init_data_in_mask[ctrl_seq_init_len] = {
0xff, 0xfe, 0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xff, 0xff, 0xf0, 0xf0, 0xf0,
0xf0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_init = {
   ctrl_seq_init_data_out,
   ctrl_seq_init_data_in,
   ctrl_seq_init_data_in_mask,
   ctrl_seq_init_len
};

enum { ctrl_seq_stop_len = 53 };

const uint8_t ctrl_seq_stop_data_out[ctrl_seq_stop_len] = {
0x40, 0x14, 0x00, 0x66, 0x15, 0x50, 0x55, 0x50, 0x55, 0x69, 0x16, 0x50,
0x55, 0x50, 0x55, 0x69, 0x14, 0x15, 0x50, 0x5a, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x16, 0x50, 0x5a, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x14, 0x66, 0x17, 0x50, 0x50,
0x5a, 0x5a, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_stop_data_in[ctrl_seq_stop_len] = {
0x47, 0x14, 0x00, 0x66, 0x15, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16, 0x50,
0x50, 0x50, 0x50, 0x69, 0x14, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x55, 0x5f, 0x5a, 0x16, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x55, 0x5f, 0x5a, 0x14, 0x66, 0x17, 0x50, 0x50,
0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_stop_data_in_mask[ctrl_seq_stop_len] = {
0xff, 0xff, 0xfe, 0xff, 0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xff, 0xff, 0xf0,
0xf0, 0xf0, 0xf0, 0xff, 0xff, 0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
0xf0, 0xf0, 0xf0, 0xf5, 0xff, 0xff, 0xff, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
0xf0, 0xf0, 0xf0, 0xf0, 0xf5, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_stop = {
   ctrl_seq_stop_data_out,
   ctrl_seq_stop_data_in,
   ctrl_seq_stop_data_in_mask,
   ctrl_seq_stop_len
};

enum { ctrl_seq_start_len = 17 };

const uint8_t ctrl_seq_start_data_out[ctrl_seq_start_len] = {
0x40, 0x17, 0x50, 0x50, 0x5a, 0x50, 0x69, 0x14, 0x66, 0x17, 0x50, 0x55,
0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_start_data_in[ctrl_seq_start_len] = {
0x47, 0x17, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x66, 0x17, 0x50, 0x50,
0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_start_data_in_mask[ctrl_seq_start_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_start = {
   ctrl_seq_start_data_out,
   ctrl_seq_start_data_in,
   ctrl_seq_start_data_in_mask,
   ctrl_seq_start_len
};

enum { ctrl_seq_config_500_len = 167 };

const uint8_t ctrl_seq_config_500_data_out[ctrl_seq_config_500_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x55, 0x55, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x55, 0x55,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_500_data_in[ctrl_seq_config_500_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_500_data_in_mask[ctrl_seq_config_500_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_500 = {
   ctrl_seq_config_500_data_out,
   ctrl_seq_config_500_data_in,
   ctrl_seq_config_500_data_in_mask,
   ctrl_seq_config_500_len
};

enum { ctrl_seq_config_1000_len = 167 };

const uint8_t ctrl_seq_config_1000_data_out[ctrl_seq_config_1000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x55, 0x50, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x55, 0x50,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_1000_data_in[ctrl_seq_config_1000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_1000_data_in_mask[ctrl_seq_config_1000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_1000 = {
   ctrl_seq_config_1000_data_out,
   ctrl_seq_config_1000_data_in,
   ctrl_seq_config_1000_data_in_mask,
   ctrl_seq_config_1000_len
};

enum { ctrl_seq_config_2000_len = 167 };

const uint8_t ctrl_seq_config_2000_data_out[ctrl_seq_config_2000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x5f,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_2000_data_in[ctrl_seq_config_2000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_2000_data_in_mask[ctrl_seq_config_2000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_2000 = {
   ctrl_seq_config_2000_data_out,
   ctrl_seq_config_2000_data_in,
   ctrl_seq_config_2000_data_in_mask,
   ctrl_seq_config_2000_len
};

enum { ctrl_seq_config_4000_len = 167 };

const uint8_t ctrl_seq_config_4000_data_out[ctrl_seq_config_4000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x50, 0x5a, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x5a,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_4000_data_in[ctrl_seq_config_4000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_4000_data_in_mask[ctrl_seq_config_4000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_4000 = {
   ctrl_seq_config_4000_data_out,
   ctrl_seq_config_4000_data_in,
   ctrl_seq_config_4000_data_in_mask,
   ctrl_seq_config_4000_len
};

enum { ctrl_seq_config_8000_len = 167 };

const uint8_t ctrl_seq_config_8000_data_out[ctrl_seq_config_8000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x50, 0x55, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x55,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_8000_data_in[ctrl_seq_config_8000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_8000_data_in_mask[ctrl_seq_config_8000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_8000 = {
   ctrl_seq_config_8000_data_out,
   ctrl_seq_config_8000_data_in,
   ctrl_seq_config_8000_data_in_mask,
   ctrl_seq_config_8000_len
};

enum { ctrl_seq_config_16000_len = 167 };

const uint8_t ctrl_seq_config_16000_data_out[ctrl_seq_config_16000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x50, 0x50, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x50,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_16000_data_in[ctrl_seq_config_16000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_16000_data_in_mask[ctrl_seq_config_16000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_16000 = {
   ctrl_seq_config_16000_data_out,
   ctrl_seq_config_16000_data_in,
   ctrl_seq_config_16000_data_in_mask,
   ctrl_seq_config_16000_len
};

enum { ctrl_seq_config_imp_500_len = 191 };

const uint8_t ctrl_seq_config_imp_500_data_out[ctrl_seq_config_imp_500_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x55, 0x55, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x55, 0x55,
0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_imp_500_data_in[ctrl_seq_config_imp_500_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_imp_500_data_in_mask[ctrl_seq_config_imp_500_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_imp_500 = {
   ctrl_seq_config_imp_500_data_out,
   ctrl_seq_config_imp_500_data_in,
   ctrl_seq_config_imp_500_data_in_mask,
   ctrl_seq_config_imp_500_len
};

enum { ctrl_seq_config_imp_1000_len = 191 };

const uint8_t ctrl_seq_config_imp_1000_data_out[ctrl_seq_config_imp_1000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x55, 0x50, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x55, 0x50,
0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_imp_1000_data_in[ctrl_seq_config_imp_1000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_imp_1000_data_in_mask[ctrl_seq_config_imp_1000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_imp_1000 = {
   ctrl_seq_config_imp_1000_data_out,
   ctrl_seq_config_imp_1000_data_in,
   ctrl_seq_config_imp_1000_data_in_mask,
   ctrl_seq_config_imp_1000_len
};

enum { ctrl_seq_config_imp_2000_len = 191 };

const uint8_t ctrl_seq_config_imp_2000_data_out[ctrl_seq_config_imp_2000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x50, 0x5f, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x5f,
0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_imp_2000_data_in[ctrl_seq_config_imp_2000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_imp_2000_data_in_mask[ctrl_seq_config_imp_2000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_imp_2000 = {
   ctrl_seq_config_imp_2000_data_out,
   ctrl_seq_config_imp_2000_data_in,
   ctrl_seq_config_imp_2000_data_in_mask,
   ctrl_seq_config_imp_2000_len
};

enum { ctrl_seq_config_imp_4000_len = 191 };

const uint8_t ctrl_seq_config_imp_4000_data_out[ctrl_seq_config_imp_4000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x50, 0x5a, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x5a,
0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_imp_4000_data_in[ctrl_seq_config_imp_4000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_imp_4000_data_in_mask[ctrl_seq_config_imp_4000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_imp_4000 = {
   ctrl_seq_config_imp_4000_data_out,
   ctrl_seq_config_imp_4000_data_in,
   ctrl_seq_config_imp_4000_data_in_mask,
   ctrl_seq_config_imp_4000_len
};

enum { ctrl_seq_config_imp_8000_len = 191 };

const uint8_t ctrl_seq_config_imp_8000_data_out[ctrl_seq_config_imp_8000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x50, 0x55, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x55,
0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_imp_8000_data_in[ctrl_seq_config_imp_8000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_imp_8000_data_in_mask[ctrl_seq_config_imp_8000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_imp_8000 = {
   ctrl_seq_config_imp_8000_data_out,
   ctrl_seq_config_imp_8000_data_in,
   ctrl_seq_config_imp_8000_data_in_mask,
   ctrl_seq_config_imp_8000_len
};

enum { ctrl_seq_config_imp_16000_len = 191 };

const uint8_t ctrl_seq_config_imp_16000_data_out[ctrl_seq_config_imp_16000_len] = {
0x40, 0x15, 0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55,
0x50, 0x50, 0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x5f, 0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55,
0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50,
0x50, 0x55, 0x5f, 0x5f, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x50, 0x55, 0x55,
0x55, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x50, 0x50, 0x69, 0x16,
0x55, 0x50, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x5a, 0x55, 0x50, 0x50,
0x55, 0x50, 0x55, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x5f,
0x55, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x5f, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50, 0x55, 0x55, 0x50, 0x50,
0x55, 0x55, 0x50, 0x50, 0x55, 0x50, 0x5f, 0x5f, 0x50, 0x50, 0x50, 0x55,
0x5f, 0x5f, 0x5f, 0x5f, 0x5c, 0x5c, 0x5c, 0x5c, 0x55, 0x55, 0x55, 0x55,
0x50, 0x50, 0x50, 0x50, 0x50, 0x52, 0x50, 0x50, 0x69, 0x14, 0x40
};

const uint8_t ctrl_seq_config_imp_16000_data_in[ctrl_seq_config_imp_16000_len] = {
0x47, 0x15, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x16,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50,
0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x69, 0x14, 0x47
};

const uint8_t ctrl_seq_config_imp_16000_data_in_mask[ctrl_seq_config_imp_16000_len] = {
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const struct ctrl_seq_t ctrl_seq_config_imp_16000 = {
   ctrl_seq_config_imp_16000_data_out,
   ctrl_seq_config_imp_16000_data_in,
   ctrl_seq_config_imp_16000_data_in_mask,
   ctrl_seq_config_imp_16000_len
};
